For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
      • GETReturns all configured webhooks.
      • POSTCreates a new webhook.
      • GETReturns all available event types.
      • GETReturns all available event types for Slack webhooks.
      • GETReturns the webhook with the specified id.
      • PUTUpdates the webhook with the specified id.
      • DELDeletes the webhook with the specified id.
      • GETReturns all logs of the webhook with the specified id.
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceWebhooks

Returns all configured webhooks.

GET
https://api.awork.com/api/v1/webhooks
GET
/api/v1/webhooks
$curl https://api.awork.com/api/v1/webhooks \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "name": "Post to Slack",
4 "uri": "https://hooks.slack.com/services/T00000000/B00000000/XXXXXXXXXXXXXXXXXXXXXXXX",
5 "events": "task_comment_added,task_completed",
6 "isActive": true,
7 "authenticationType": "none",
8 "language": "en-GB",
9 "onlyTriggerForMainEntityChanges": true,
10 "authentication": null,
11 "id": "123e4567-e89b-12d3-a456-426614174000",
12 "receiverType": "slack",
13 "lastFailureReason": null,
14 "createdOn": "2024-01-15T09:30:00Z",
15 "createdBy": "987e6543-e21b-45d3-b456-426614174999",
16 "updatedOn": "2024-04-10T11:45:00Z",
17 "updatedBy": "987e6543-e21b-45d3-b456-426614174999"
18 }
19]
<Check title="Required Permissions" icon="key">The user must be an admin or have `workspace-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Creates a new webhook.

Next
Built with
Required Permissions
The user must be an admin or have workspace-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
namestring>=1 character
The name of this webhook event.
uristring>=1 character
The URI to call.
eventsstring>=1 character

The event(s) that trigger the web hook. A comma-separated list of events that trigger the webhook. The allowed events depend on the webhook type. For type ‘custom’: retrieve the list of allowed events from ‘/webhooks/eventTypes’ For type ‘slack’: retrieve the list of allowed events from ‘/webhooks/eventTypes/slack’

isActiveboolean
Whether the web hook is currently active.
authenticationTypestring>=1 character
The authentication type to use when calling the URI. Can be 'none', 'header'.
languagestring or null
The language of the web hook message that will be sent to the receiver. Not required for custom web hooks.
onlyTriggerForMainEntityChangesboolean
Whether to only send events for main entity changes and not for nested entities if the webhook is for a model.
authenticationstring or null

The authentication value to use when calling the URI. Should be ‘key=value’. In case of header authentication, this should be ‘headername=headervalue’. Only required when the AuthenticationType is anything other than ‘none’.

idstringformat: "uuid"
The id of the webhook config.
receiverTypestring or null
The type of the web hook. Can be 'custom', 'slack'.
lastFailureReasonstring or null
The most recent failure reason.
createdOnstringformat: "date-time"
The date this webhook config was created.
createdBystringformat: "uuid"
The id of the user who created this webhook config.
updatedOnstringformat: "date-time"
The date this webhook config was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this webhook config.